
.. _namedtype.NamedTypes:

NamedTypes
----------

.. autoclass:: pyasn1.type.namedtype.NamedTypes
   :members:

   .. note::

        The *NamedTypes* objects are normally utilized by the
        constructed ASN.1 types (e.g. :ref:`Sequence <univ.Sequence>`,
        :ref:`Set <univ.Set>` and :ref:`Choice <univ.Choice>`) to model
        the set of fields of those types.
